#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	6.14
%define		qtver		5.15.2
%define		kfname		kio

Summary:	Network transparent access to files and data
Name:		kf6-%{kfname}
Version:	6.14.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	cc0bd4a38d4b9b6080f8e11c22c634df
Patch0:		kio_help-fallback-to-kde4-docs.patch
URL:		http://www.kde.org/
BuildRequires:	Qt6Concurrent-devel >= %{qtver}
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Qml-devel >= %{qtver}
BuildRequires:	Qt6Qt5Compat-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
BuildRequires:	Qt6Xml-devel >= %{qtver}
BuildRequires:	acl-devel
BuildRequires:	cmake >= 3.16
BuildRequires:	heimdal-devel
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	kf6-karchive-devel >= %{version}
BuildRequires:	kf6-kauth-devel >= %{version}
BuildRequires:	kf6-kbookmarks-devel >= %{version}
BuildRequires:	kf6-kcompletion-devel >= %{version}
BuildRequires:	kf6-kconfig-devel >= %{version}
BuildRequires:	kf6-kconfigwidgets-devel >= %{version}
BuildRequires:	kf6-kcoreaddons-devel >= %{version}
BuildRequires:	kf6-kcrash-devel >= %{version}
BuildRequires:	kf6-kdbusaddons-devel >= %{version}
BuildRequires:	kf6-kded-devel >= %{version}
BuildRequires:	kf6-kdoctools-devel >= %{version}
BuildRequires:	kf6-kguiaddons-devel >= %{version}
BuildRequires:	kf6-ki18n-devel >= %{version}
BuildRequires:	kf6-kiconthemes-devel >= %{version}
BuildRequires:	kf6-kitemviews-devel >= %{version}
BuildRequires:	kf6-kjobwidgets-devel >= %{version}
BuildRequires:	kf6-knotifications-devel >= %{version}
BuildRequires:	kf6-kservice-devel >= %{version}
BuildRequires:	kf6-ktextwidgets-devel >= %{version}
BuildRequires:	kf6-kwallet-devel >= %{version}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf6-kwindowsystem-devel >= %{version}
BuildRequires:	kf6-kxmlgui-devel >= %{version}
BuildRequires:	kf6-solid-devel >= %{version}
BuildRequires:	libblkid-devel
BuildRequires:	libmount-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires:	Qt6Core >= %{qtver}
Requires:	Qt6DBus >= %{qtver}
Requires:	Qt6Gui >= %{qtver}
Requires:	Qt6Network >= %{qtver}
Requires:	Qt6Qml >= %{qtver}
Requires:	Qt6Widgets >= %{qtver}
Requires:	Qt6Xml >= %{qtver}
Requires:	kf6-dirs
Requires:	kf6-karchive >= %{version}
Requires:	kf6-kauth >= %{version}
Requires:	kf6-kbookmarks >= %{version}
Requires:	kf6-kcompletion >= %{version}
Requires:	kf6-kconfig >= %{version}
Requires:	kf6-kconfigwidgets >= %{version}
Requires:	kf6-kcoreaddons >= %{version}
Requires:	kf6-kcrash >= %{version}
Requires:	kf6-kdbusaddons >= %{version}
Requires:	kf6-kdoctools >= %{version}
Requires:	kf6-ki18n >= %{version}
Requires:	kf6-kiconthemes >= %{version}
Requires:	kf6-kitemviews >= %{version}
Requires:	kf6-kjobwidgets >= %{version}
Requires:	kf6-knotifications >= %{version}
Requires:	kf6-kservice >= %{version}
Requires:	kf6-ktextwidgets >= %{version}
Requires:	kf6-kwallet >= %{version}
Requires:	kf6-kwidgetsaddons >= %{version}
Requires:	kf6-kwindowsystem >= %{version}
Requires:	kf6-kxmlgui >= %{version}
Requires:	kf6-solid >= %{version}
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
This framework implements almost all the file management functions you
will ever need. In fact, the KDE file manager (Dolphin) and the KDE
file dialog also uses this to provide its network-enabled file
management.

It supports accessing files locally as well as via HTTP and FTP out of
the box and can be extended by plugins to support other protocols as
well. There is a variety of plugins available, e.g. to support access
via SSH.

The framework can also be used to bridge a native protocol to a
file-based interface. This makes the data accessible in all
applications using the KDE file dialog or any other KIO enabled
infrastructure.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Concurrent-devel >= %{qtver}
Requires:	Qt6DBus-devel >= %{qtver}
Requires:	Qt6Network-devel >= %{qtver}
Requires:	cmake >= 3.16
Requires:	kf6-kbookmarks-devel >= %{version}
Requires:	kf6-kcompletion-devel >= %{version}
Requires:	kf6-kconfig-devel >= %{version}
Requires:	kf6-kcoreaddons-devel >= %{version}
Requires:	kf6-kitemviews-devel >= %{version}
Requires:	kf6-kjobwidgets-devel >= %{version}
Requires:	kf6-kservice-devel >= %{version}
Requires:	kf6-kwindowsystem-devel >= %{version}
Requires:	kf6-kxmlgui-devel >= %{version}
Requires:	kf6-solid-devel >= %{version}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}
%patch -P0 -p1

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

install -d $RPM_BUILD_ROOT%{qt6dir}/plugins/kf6/{kfileitemaction,kio_dnd}
rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/sr
rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/sr@latin

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{ie,tok}

%find_lang %{kfname}6 --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post

%postun
/sbin/ldconfig
%update_desktop_database_postun


%files -f %{kfname}6.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/ktelnetservice6
%attr(755,root,root) %{_bindir}/ktrash6
%attr(755,root,root) %{_libdir}/libKF6KIOCore.so.*.*
%ghost %{_libdir}/libKF6KIOCore.so.6
%attr(755,root,root) %{_libdir}/libKF6KIOFileWidgets.so.*.*
%ghost %{_libdir}/libKF6KIOFileWidgets.so.6
%attr(755,root,root) %{_libdir}/libKF6KIOGui.so.*.*
%ghost %{_libdir}/libKF6KIOGui.so.6
%attr(755,root,root) %{_libdir}/libKF6KIOWidgets.so.*.*
%ghost %{_libdir}/libKF6KIOWidgets.so.6
%attr(755,root,root) %{_libdir}/libkuriikwsfiltereng_private.so
%attr(755,root,root) %{_libdir}/qt6/plugins/designer/kio6widgets.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/remotenotifier.so
%dir %{_libdir}/qt6/plugins/kf6/kio
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kio_file.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kio_ftp.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kio_ghelp.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kio_help.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kio_http.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kio_remote.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kio_trash.so
%dir %{_libdir}/qt6/plugins/kf6/kiod
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kiod/kioexecd.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kiod/kpasswdserver.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kiod/kssld.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/urifilters/fixhosturifilter.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/urifilters/kshorturifilter.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/urifilters/kuriikwsfilter.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/urifilters/kurisearchfilter.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/urifilters/localdomainurifilter.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio_dnd/dropintonewfolder.so
%attr(755,root,root) %{_prefix}/libexec/kf6/kiod6
%attr(755,root,root) %{_prefix}/libexec/kf6/kioexec
%attr(755,root,root) %{_prefix}/libexec/kf6/kioworker
%{_desktopdir}/ktelnetservice6.desktop
%{_datadir}/dbus-1/services/org.kde.kiod6.service
%{_datadir}/dbus-1/services/org.kde.kioexecd6.service
%{_datadir}/dbus-1/services/org.kde.kpasswdserver6.service
%{_datadir}/dbus-1/services/org.kde.kssld6.service
%{_datadir}/kdevappwizard/templates/kioworker6.tar.bz2
%dir %{_datadir}/kf6/searchproviders
%{_datadir}/kf6/searchproviders/7digital.desktop
%{_datadir}/kf6/searchproviders/acronym.desktop
%{_datadir}/kf6/searchproviders/amazon.desktop
%{_datadir}/kf6/searchproviders/amazon_mp3.desktop
%{_datadir}/kf6/searchproviders/amg.desktop
%{_datadir}/kf6/searchproviders/archpkg.desktop
%{_datadir}/kf6/searchproviders/archwiki.desktop
%{_datadir}/kf6/searchproviders/backports.desktop
%{_datadir}/kf6/searchproviders/baidu.desktop
%{_datadir}/kf6/searchproviders/beolingus.desktop
%{_datadir}/kf6/searchproviders/bing.desktop
%{_datadir}/kf6/searchproviders/boo.desktop
%{_datadir}/kf6/searchproviders/bug.desktop
%{_datadir}/kf6/searchproviders/call.desktop
%{_datadir}/kf6/searchproviders/cia.desktop
%{_datadir}/kf6/searchproviders/citeseer.desktop
%{_datadir}/kf6/searchproviders/codeberg.desktop
%{_datadir}/kf6/searchproviders/cpan.desktop
%{_datadir}/kf6/searchproviders/cplusplus.desktop
%{_datadir}/kf6/searchproviders/cppreference.desktop
%{_datadir}/kf6/searchproviders/ctan.desktop
%{_datadir}/kf6/searchproviders/ctan_cat.desktop
%{_datadir}/kf6/searchproviders/dbug.desktop
%{_datadir}/kf6/searchproviders/de2en.desktop
%{_datadir}/kf6/searchproviders/de2fr.desktop
%{_datadir}/kf6/searchproviders/deb.desktop
%{_datadir}/kf6/searchproviders/deepl.desktop
%{_datadir}/kf6/searchproviders/dictfr.desktop
%{_datadir}/kf6/searchproviders/docbook.desktop
%{_datadir}/kf6/searchproviders/doi.desktop
%{_datadir}/kf6/searchproviders/duckduckgo.desktop
%{_datadir}/kf6/searchproviders/duckduckgo_info.desktop
%{_datadir}/kf6/searchproviders/duckduckgo_shopping.desktop
%{_datadir}/kf6/searchproviders/ecosia.desktop
%{_datadir}/kf6/searchproviders/en2de.desktop
%{_datadir}/kf6/searchproviders/en2es.desktop
%{_datadir}/kf6/searchproviders/en2fr.desktop
%{_datadir}/kf6/searchproviders/en2it.desktop
%{_datadir}/kf6/searchproviders/es2en.desktop
%{_datadir}/kf6/searchproviders/facebook.desktop
%{_datadir}/kf6/searchproviders/fedora.desktop
%{_datadir}/kf6/searchproviders/feedster.desktop
%{_datadir}/kf6/searchproviders/flatpak.desktop
%{_datadir}/kf6/searchproviders/flickr.desktop
%{_datadir}/kf6/searchproviders/flickrcc.desktop
%{_datadir}/kf6/searchproviders/foldoc.desktop
%{_datadir}/kf6/searchproviders/fr2de.desktop
%{_datadir}/kf6/searchproviders/fr2en.desktop
%{_datadir}/kf6/searchproviders/freecode.desktop
%{_datadir}/kf6/searchproviders/freedb.desktop
%{_datadir}/kf6/searchproviders/fsd.desktop
%{_datadir}/kf6/searchproviders/github.desktop
%{_datadir}/kf6/searchproviders/gitlab.desktop
%{_datadir}/kf6/searchproviders/google.desktop
%{_datadir}/kf6/searchproviders/google_advanced.desktop
%{_datadir}/kf6/searchproviders/google_code.desktop
%{_datadir}/kf6/searchproviders/google_groups.desktop
%{_datadir}/kf6/searchproviders/google_images.desktop
%{_datadir}/kf6/searchproviders/google_lucky.desktop
%{_datadir}/kf6/searchproviders/google_maps.desktop
%{_datadir}/kf6/searchproviders/google_movie.desktop
%{_datadir}/kf6/searchproviders/google_news.desktop
%{_datadir}/kf6/searchproviders/google_shopping.desktop
%{_datadir}/kf6/searchproviders/grec.desktop
%{_datadir}/kf6/searchproviders/hyperdictionary.desktop
%{_datadir}/kf6/searchproviders/hyperdictionary_thesaurus.desktop
%{_datadir}/kf6/searchproviders/identica_groups.desktop
%{_datadir}/kf6/searchproviders/identica_notices.desktop
%{_datadir}/kf6/searchproviders/identica_people.desktop
%{_datadir}/kf6/searchproviders/imdb.desktop
%{_datadir}/kf6/searchproviders/invent.desktop
%{_datadir}/kf6/searchproviders/invent_issues.desktop
%{_datadir}/kf6/searchproviders/invent_mr.desktop
%{_datadir}/kf6/searchproviders/invent_repo.desktop
%{_datadir}/kf6/searchproviders/it2en.desktop
%{_datadir}/kf6/searchproviders/jamendo.desktop
%{_datadir}/kf6/searchproviders/jeeves.desktop
%{_datadir}/kf6/searchproviders/kde.desktop
%{_datadir}/kf6/searchproviders/kde_apps.desktop
%{_datadir}/kf6/searchproviders/kde_forums.desktop
%{_datadir}/kf6/searchproviders/kde_store.desktop
%{_datadir}/kf6/searchproviders/kde_techbase.desktop
%{_datadir}/kf6/searchproviders/kde_userbase.desktop
%{_datadir}/kf6/searchproviders/kreddit.desktop
%{_datadir}/kf6/searchproviders/krita.desktop
%{_datadir}/kf6/searchproviders/learncpp.desktop
%{_datadir}/kf6/searchproviders/leo.desktop
%{_datadir}/kf6/searchproviders/linguee.desktop
%{_datadir}/kf6/searchproviders/magnatune.desktop
%{_datadir}/kf6/searchproviders/metacrawler.desktop
%{_datadir}/kf6/searchproviders/microsoft_cpp.desktop
%{_datadir}/kf6/searchproviders/msdn.desktop
%{_datadir}/kf6/searchproviders/multitran-deru.desktop
%{_datadir}/kf6/searchproviders/multitran-enru.desktop
%{_datadir}/kf6/searchproviders/multitran-esru.desktop
%{_datadir}/kf6/searchproviders/multitran-frru.desktop
%{_datadir}/kf6/searchproviders/multitran-itru.desktop
%{_datadir}/kf6/searchproviders/multitran-nlru.desktop
%{_datadir}/kf6/searchproviders/netcraft.desktop
%{_datadir}/kf6/searchproviders/nl-telephone.desktop
%{_datadir}/kf6/searchproviders/nl-teletekst.desktop
%{_datadir}/kf6/searchproviders/opendesktop.desktop
%{_datadir}/kf6/searchproviders/opensuse.desktop
%{_datadir}/kf6/searchproviders/pgpkeys.desktop
%{_datadir}/kf6/searchproviders/php.desktop
%{_datadir}/kf6/searchproviders/protondb.desktop
%{_datadir}/kf6/searchproviders/pypi.desktop
%{_datadir}/kf6/searchproviders/python.desktop
%{_datadir}/kf6/searchproviders/qt5.desktop
%{_datadir}/kf6/searchproviders/qt6.desktop
%{_datadir}/kf6/searchproviders/qwant.desktop
%{_datadir}/kf6/searchproviders/qwant_images.desktop
%{_datadir}/kf6/searchproviders/qwant_news.desktop
%{_datadir}/kf6/searchproviders/qwant_shopping.desktop
%{_datadir}/kf6/searchproviders/qwant_social.desktop
%{_datadir}/kf6/searchproviders/qwant_videos.desktop
%{_datadir}/kf6/searchproviders/rae.desktop
%{_datadir}/kf6/searchproviders/rag.desktop
%{_datadir}/kf6/searchproviders/reddit.desktop
%{_datadir}/kf6/searchproviders/rfc.desktop
%{_datadir}/kf6/searchproviders/rpmfind.desktop
%{_datadir}/kf6/searchproviders/ruby_application_archive.desktop
%{_datadir}/kf6/searchproviders/rust.desktop
%{_datadir}/kf6/searchproviders/soundcloud.desktop
%{_datadir}/kf6/searchproviders/sourceforge.desktop
%{_datadir}/kf6/searchproviders/technorati.desktop
%{_datadir}/kf6/searchproviders/technoratitags.desktop
%{_datadir}/kf6/searchproviders/thesaurus.desktop
%{_datadir}/kf6/searchproviders/tvtome.desktop
%{_datadir}/kf6/searchproviders/ubuntu.desktop
%{_datadir}/kf6/searchproviders/urbandictionary.desktop
%{_datadir}/kf6/searchproviders/uspto.desktop
%{_datadir}/kf6/searchproviders/vimeo.desktop
%{_datadir}/kf6/searchproviders/voila.desktop
%{_datadir}/kf6/searchproviders/webster.desktop
%{_datadir}/kf6/searchproviders/wikia.desktop
%{_datadir}/kf6/searchproviders/wikipedia.desktop
%{_datadir}/kf6/searchproviders/wiktionary.desktop
%{_datadir}/kf6/searchproviders/wine.desktop
%{_datadir}/kf6/searchproviders/wolfram_alpha.desktop
%{_datadir}/kf6/searchproviders/wordref.desktop
%{_datadir}/kf6/searchproviders/yahoo.desktop
%{_datadir}/kf6/searchproviders/yahoo_image.desktop
%{_datadir}/kf6/searchproviders/yahoo_local.desktop
%{_datadir}/kf6/searchproviders/yahoo_shopping.desktop
%{_datadir}/kf6/searchproviders/yahoo_video.desktop
%{_datadir}/kf6/searchproviders/yandex.desktop
%{_datadir}/kf6/searchproviders/youtube.desktop
%{_datadir}/kf6/searchproviders/caniuse.desktop
%{_datadir}/kf6/searchproviders/dockerhub.desktop
%{_datadir}/kf6/searchproviders/mdn.desktop
%{_datadir}/kf6/searchproviders/nixpkgs.desktop
%{_datadir}/kf6/searchproviders/npm.desktop
%{_datadir}/qlogging-categories6/kio.categories
%{_datadir}/qlogging-categories6/kio.renamecategories
%{_desktopdir}/org.kde.kiod6.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KIO
%{_includedir}/KF6/KIOCore
%{_includedir}/KF6/KIOFileWidgets
%{_includedir}/KF6/KIOWidgets
%{_includedir}/KF6/KIOGui
%{_libdir}/cmake/KF6KIO
%{_libdir}/libKF6KIOCore.so
%{_libdir}/libKF6KIOFileWidgets.so
%{_libdir}/libKF6KIOGui.so
%{_libdir}/libKF6KIOWidgets.so
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kio.git;a=log;h=master

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 587b8c6
- updated to 6.14.0

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0fd6e2d
- update_desktop_database

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9234d38
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> cc7fe9c
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6457898
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> deef306
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6766483
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6e7b130
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2f79297
- updated to 6.7.0

* Thu Sep 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b3d8b12
- dirs

* Thu Sep 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4edfd1c
- BR: Qt6Qt5Compat-devel

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4ffcde8
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 97085f1
- updated to 6.5.0

* Thu Aug 08 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3d6f470
- missing patch file

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c29b77c
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 67d3523
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 371540a
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 18bdee1
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 16108a1
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 78356e9
- updated to 6.1.0

